//////////////////////////////////////////////////////////////////
// mysql JDBC Driver
//
// Version : 0.9.2
//
// JDBC : 1.22
//
// LastModified: 12.03.1997
//
// Copyright (c) 1997 GWE Technologies Ltd. All rights reserved
// See http://gwe.co.uk/mysql/jdbc/copyright.html for full details

package gwe.sql;

public class gweMysqlColumn {
  String tableName;
  String columnName;
  int columnLength;
  int columnType;
  short columnFlag;
  int columnDecimals;

  public gweMysqlColumn(String t, String n, int l, int tp, short f, int d) {
    tableName=t;
    columnName=n;
    columnLength=l;
    columnType=tp;
    columnFlag=f;
    columnDecimals=d;
  }

  public String getTable() {
    return tableName;
  }
  public String getName() {
    return columnName;
  }
  public String getFullName() {
    String fullName=tableName.concat(".");
    return fullName.concat(columnName);
  }
  public int getLength() {
    return columnLength;
  }
  public int getType() {
    return columnType;
  }
  public int getDecimals() {
    return columnDecimals;
  }
  public boolean isNotNull() {
    if ((columnFlag&1)>0) return true;
    else return false;
  }
  public boolean isPrimaryKey() {
    if ((columnFlag&2)>0) return true;
    else return false;
  }
  public boolean isUniqueKey() {
    if ((columnFlag&4)>0) return true;
    else return false;
  }
  public boolean isMultipleKey() {
    if ((columnFlag&8)>0) return true;
    else return false;
  }
  public boolean isBlob() {
    if ((columnFlag&16)>0) return true;
    else return false;
  }
  public boolean isUnsigned() {
    if ((columnFlag&32)>0) return true;
    else return false;
  }
  public boolean isZeroFill() {
    if ((columnFlag&64)>0) return true;
    else return false;
  }
  public boolean isPartKey() {
    if ((columnFlag&128)>0) return true;
    else return false;
  }
  // Thanks for INDEN-san
  public boolean isBinary() {
    if ((columnFlag&128)>0) return true;
    else return false;
  }
}

